import { Modal, ModalService } from '@zeedhi/common';

export class InflationModalController {
  private inflationModal!: Modal;

  public async createInflationModal() {
    this.inflationModal = await ModalService.createFromJson('/modals/inflationModal', true);
  }

  public destroyInflationModal() {
    this.inflationModal?.destroy();
  }

  public openInflationModal() {
    this.inflationModal.show();
  }

  public closeInflationModal() {
    this.inflationModal.hide();
  }
}
